Skip to main content
GET
/
api
/
dashboard
/
nudges
Dashboard nudges
curl --request GET \
  --url https://api.example.com/api/dashboard/nudges \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "nudge_type": "due_approaching",
      "memory_id": 123,
      "topic": "<string>",
      "message": "<string>",
      "days_value": 123,
      "project": "<string>",
      "scope": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work

Response

Successful Response

List response for nudges endpoint.

items
NudgeItem · object[]
required
total
integer
required